#include <QtWidgets>
#include "file-editor-tab.h"

file_editor_tab::file_editor_tab (const QString &disp_txt, QWidget *parent)
      : QWidget (parent)
{
    m_edit_area = new QTextEdit (this);
    m_edit_area->setText (disp_txt);

    QVBoxLayout *mainLayout = new QVBoxLayout;
    mainLayout->addWidget (m_edit_area);
    setLayout (mainLayout);

    setFocusProxy (m_edit_area);
}

file_editor_tab::~file_editor_tab (void)
{
    delete m_edit_area;
}

void file_editor_tab::set_focus (const QWidget *ID)
{
    if (ID != this){
       return;
    }
    m_edit_area->setFocus ();
}
