#ifndef FILE_EDITOR_TAB_H
#define FILE_EDITOR_TAB_H

#include <QDialog>
#include <QTextEdit>

QT_BEGIN_NAMESPACE
class QDialogButtonBox;
class QFileInfo;
class QTabWidget;
QT_END_NAMESPACE

class file_editor_tab : public QWidget
{
    Q_OBJECT

public:
    explicit file_editor_tab (const QString &disp_txt, QWidget *parent = nullptr);
    ~file_editor_tab (void);

private:
    QTextEdit *m_edit_area;

public slots:
    void set_focus (const QWidget *ID);
};

#endif
